<!DOCTYPE html>
<html lang="fr">

<head>
  <meta charset="UTF-8" />
  <link rel="icon" type="image/svg+xml" href="favicon.svg" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Simple Budget</title>
  <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet">

</head>

<body>
  <div class="container">
    <div id="app">
      <header class="d-flex flex-wrap justify-content-center py-3 border-bottom">
        <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto text-dark text-decoration-none">
          <h1 class="fs-4">Simple Budget</h1>
        </a>
      </header>

      <div class="row">
        <div id="transactionList" class="col-sm-4 d-none d-sm-block">
          <div class="d-flex flex-column align-items-stretch flex-shrink-0 bg-white">
            <a href="#add" id="add-item"
              class="active d-flex align-items-center flex-shrink-0 p-3 link-dark text-decoration-none border-bottom">
              <span class="fs-5 fw-semibold">Ajouter une transaction ></span>
            </a>
            <!-- list of transactions -->
            <div class="list-group list-group-flush border-bottom scrollarea">
            </div>
            <a href="#" id="add-item"
              class=" d-flex align-items-center flex-shrink-0 p-3 link-dark text-decoration-none border-bottom">
              <span class="fs-5 fw-semibold">Charger plus (non-fonctionnel)</span>
            </a>
          </div>
        </div>
        <div id="transactionDetail" class="pt-3 col-12 col-sm-8 d-none d-sm-none">
        </div>
        <div id="modal" class="pt-3 col-12 col-sm-8">
          <div class="modal-body p-5 pt-0">
            <form class="">
              <h2 class="fs-5 fw-bold mb-3">Créer une nouvelle transaction</h2>
              <hr class="my-4">
              <div class="form-floating mb-3">
                <input type="text" required class="form-control rounded-4" id="input-label">
                <label for="input-label">Libellé de la transaction</label>
              </div>
              <div class="form-floating mb-3">
                <input type="number" required class="form-control rounded-4" id="input-amount">
                <label for="input-amount">Montant (en €)</label>
              </div>
              <div class="form-floating mb-3">
                <label for="input-category">Catégorie</label>
                <select required class="form-select" name="input-category" id="input-category">
                  <option selected disabled></option>
                  <option value="1">Abonnements</option>
                  <option value="2">Achats & Shopping</option>
                  <option value="3">Alimentation & Restau.</option>
                  <option value="4">Auto & Transports</option>
                  <option value="5">Banque</option>
                  <option value="6">Esthétique & Soins</option>
                  <option value="7">Impôts & Taxes</option>
                  <option value="8">Logement</option>
                  <option value="9">Loisirs & Sorties</option>
                  <option value="10">Retraits, Chq. et Vir.</option>
                  <option value="11">Santé</option>
                  <option value="12">Divers</option>
                </select>
              </div>
              <button class="w-100 my-2 btn btn-lg rounded-4 btn-primary" type="submit">Ajouter</button>

            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script type="module" src="/src/main.ts"></script>
</body>

</html>